## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
# * tests can only be run in-tree
%bcond_with check
%global debug_package %{nil}

%global crate pin-project

Name:           rust-pin-project
Version:        1.1.5
Release:        %autorelease
Summary:        Safe and ergonomic pin-projection

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/pin-project
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A crate for safe and ergonomic pin-projection.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jun 25 2024 Fabio Valentini <decathorpe@gmail.com> - 1.1.5-1
- Update to version 1.1.5; Fixes RHBZ#2267961

* Tue Jan 30 2024 Fabio Valentini <decathorpe@gmail.com> - 1.1.4-1
- Update to version 1.1.4; Fixes RHBZ#2260362

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Aug 27 2023 Fabio Valentini <decathorpe@gmail.com> - 1.1.3-1
- Update to version 1.1.3; Fixes RHBZ#2229448

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 07 2023 Fabio Valentini <decathorpe@gmail.com> - 1.1.2-1
- Update to version 1.1.2; Fixes RHBZ#2218633

* Mon May 22 2023 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-1
- Update to version 1.1.0; Fixes RHBZ#2203506

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Aug 20 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.12-1
- Update to version 1.0.12; Fixes RHBZ#2118357

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 08 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.11-1
- Update to version 1.0.11; Fixes RHBZ#2103343

* Mon Mar 07 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.10-1
- Update to version 1.0.10; Fixes RHBZ#2035646

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Aug 01 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.8-1
- Update to version 1.0.8; Fixes RHBZ#1984433

* Wed Jul 14 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.7-1
- Update to version 1.0.7; Fixes RHBZ#1950427

* Sun Mar 28 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.6-1
- Update to version 1.0.6.

* Mon Feb 08 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.5-1
- Update to version 1.0.5.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Jan 09 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.4-1
- Update to version 1.0.4.

* Wed Dec 02 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.2-1
- Update to version 1.0.2.

* Mon Oct 26 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-1
- Update to version 1.0.1.

* Wed Jul 29 2020 Josh Stone <jistone@redhat.com> - 0.4.23-1
- Update to 0.4.23

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 19 2020 Josh Stone <jistone@redhat.com> - 0.4.22-1
- Update to 0.4.22

* Wed Jun 10 2020 Josh Stone <jistone@redhat.com> - 0.4.20-1
- Update to 0.4.20

* Fri Jun 05 2020 Josh Stone <jistone@redhat.com> - 0.4.19-1
- Update to 0.4.19

* Mon May 18 2020 Josh Stone <jistone@redhat.com> - 0.4.17-1
- Update to 0.4.17

* Mon May 11 2020 Josh Stone <jistone@redhat.com> - 0.4.16-1
- Update to 0.4.16

* Thu May 07 2020 Josh Stone <jistone@redhat.com> - 0.4.13-1
- Update to 0.4.13

* Mon May 04 2020 Josh Stone <jistone@redhat.com> - 0.4.10-1
- Update to 0.4.10

* Tue Apr 14 2020 Josh Stone <jistone@redhat.com> - 0.4.9-1
- Update to 0.4.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 27 2020 Josh Stone <jistone@redhat.com> - 0.4.8-1
- Update to 0.4.8

* Fri Dec 13 21:27:19 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.6-1
- Initial package

## END: Generated by rpmautospec
